<?php

/**
 * Excerpt
 *
 * @package construction_engineer
 */

$wp_customize->add_section(
	'construction_engineer_excerpt_options',
	array(
		'panel' => 'construction_engineer_theme_options',
		'title' => esc_html__( 'Excerpt Setting', 'construction-engineer' ),
	)
);


// Excerpt - Excerpt Length.
$wp_customize->add_setting(
	'construction_engineer_excerpt_length',
	array(
		'default'           => 20,
		'sanitize_callback' => 'absint',
		'transport'         => 'refresh',
	)
);

$wp_customize->add_control(
	'construction_engineer_excerpt_length',
	array(
		'label'       => esc_html__( 'Excerpt Length (no. of words)', 'construction-engineer' ),
		'section'     => 'construction_engineer_excerpt_options',
		'settings'    => 'construction_engineer_excerpt_length',
		'type'        => 'number',
		'input_attrs' => array(
			'min'  => 10,
			'max'  => 200,
			'step' => 1,
		),
	)
);